{
  title:       "Application manager",
  description: "Web application administration package",
  version:     "1.1.1",
  dependencies: ["fcfControls", "fcfDBControls", "managementTheme"],

  public: [
    { relativeUrl: "css",       path: "css" },
    { relativeUrl: "templates", path: "templates" },
  ],
  aliases: {
    "page:fcf-management":                  "fcfpackages/fcfManagement",
    "page:fcf-management-edit":             "fcfpackages/fcfManagement/edit",
    "page:fcf-management-edit-entity":      "fcfpackages/fcfManagement/edit-entity",
    "page:fcf-management-read-entity":      "fcfpackages/fcfManagement/read-entity",
    "page:fcf-management-delete-entity":    "fcfpackages/fcfManagement/delete-entity",
    "page:fcf-management-add-entity":       "fcfpackages/fcfManagement/add-entity",
    "page:fcfmanagement-package-settings":  "fcfpackages/fcfManagement/package-settings",
  },
  routes: [
    {
      uri:      "/fcfpackages/fcfManagement/fsql",
      controller: "fcfManagement:NController/InnerFSQL.js",
    },
    {
      title:          "!{FCF Management}!",
      uri:            "/fcfpackages/fcfManagement",
      controller:     "fcf:NServer/NControllers/Page.js",
      source:         "fcfManagement:templates/pages/main.tmpl",
      ignoreSiteMap:  "all",
      ignoreMenu:     true,
      childs:     [
        {
          title:        "!{Data management}!",
          description:  "!{Editing data provided by projections}!",
          uri:          "data/projections",
          controller:   "fcf:NServer/NControllers/Page.js",
          source:       "fcfManagement:templates/pages/data/projections/projections.tmpl",
          access:       { allow: ["fcf"] },
          childs:       [
            {
              title:      "!{Projection editor}!",
              uri:        "/fcfpackages/fcfManagement/data/records/${projection}",
              controller: "fcf:NServer/NControllers/Page.js",
              source:     "fcfManagement:templates/pages/data/records/records.tmpl",
              access:     { allow: ["fcf"] },
            },
          ]
        },
        {
          title:        "!{Translations}!",
          description:  "!{Settings and contents of translations into other languages}!",
          uri:          "translations/translations",
          controller:   "fcf:NServer/NControllers/Page.js",
          source:       "fcfManagement:templates/pages/translations/translations.tmpl",
        },
        {
          title:        "!{Access}!",
          description:  "!{Access and user management}!",
          uri:          "access",
          controller:   "fcf:NServer/NControllers/Page.js",
          source:       "fcfManagement:templates/pages/access/access.tmpl",
        },
        {
          title:        "!{System}!",
          description:  "!{Managing application system parameters}!",
          uri:          "system",
          controller:   "fcf:NServer/NControllers/Page.js",
          source:       "fcfManagement:templates/pages/system/system.tmpl",
          childs:       [
            {
              title:        "!{System variables}!",
              uri:          "variables",
              controller:   "fcf:NServer/NControllers/Page.js",
              source:       "fcfManagement:templates/pages/system/variables.tmpl",
            },
            {
              title:        "!{HTML header}!",
              uri:          "html-header",
              controller:   "fcf:NServer/NControllers/Page.js",
              source:       "fcfManagement:templates/pages/system/html-header.tmpl",
            },
            {
              title:        "!{Sitemap}!",
              uri:          "sitemap",
              controller:   "fcf:NServer/NControllers/Page.js",
              source:       "fcfManagement:templates/pages/system/sitemap.tmpl",
            },
          ]
        },
        {
          title:        "!{Development}!",
          description:  "!{Additional development options}!",
          uri:          "development",
          controller:   "fcf:NServer/NControllers/Page.js",
          source:       "fcfManagement:templates/pages/development/development.tmpl",
        },

      ]

    },

  ]
}
